clan::Resource< Type > Class Template Reference - ClanLib SDK
Description: clan::Resource< Type > Class Template Reference

Public Member Functions | List of all members
clan::Resource< Type > Class Template Reference
clanCore Resources

Resource proxy of a specific type. More...

`#include <resource.h>`

## Public Member Functions
| Resource ()
| Resource (const Type &initial_value)
| Resource (std::shared_ptr< Resource_Impl< Type > > object)
Type & | get ()
const Type & | get () const
const std::shared_ptr< Resource_Impl< Type > > & | handle () const
| operator const Type & () const
| operator Type & ()
bool | operator!= (const Resource &other) const
Type * | operator-> ()
const Type * | operator-> () const
bool | operator< (const Resource &other) const
bool | operator<= (const Resource &other) const
bool | operator== (const Resource &other) const
bool | operator> (const Resource &other) const
bool | operator>= (const Resource &other) const
void | set (const Type &value)
bool | updated ()

## Detailed Description

template<typename Type>
class clan::Resource< Type >

Resource proxy of a specific type.

## Constructor & Destructor Documentation

## ◆ Resource() [1/3]

template<typename Type>

clan::Resource< Type >::Resource | ( |  | ) |
| inline

Referenced by operator!=(), operator<(), operator<=(), operator==(), operator>(), and operator>=().

## ◆ Resource() [2/3]

template<typename Type>

clan::Resource< Type >::Resource | ( | std::shared_ptr< Resource_Impl< Type > > | object | ) |
| inline

## ◆ Resource() [3/3]

template<typename Type>

clan::Resource< Type >::Resource | ( | const Type & | initial_value | ) |
| inline

## Member Function Documentation

## ◆ get() [1/2]

template<typename Type>

Type & clan::Resource< Type >::get | ( |  | ) |
| inline

## ◆ get() [2/2]

template<typename Type>

const Type & clan::Resource< Type >::get | ( |  | ) | const
| inline

## ◆ handle()

template<typename Type>

const std::shared_ptr< Resource_Impl< Type > > & clan::Resource< Type >::handle | ( |  | ) | const
| inline

## ◆ operator const Type &()

template<typename Type>

clan::Resource< Type >::operator const Type & | ( |  | ) | const
| inline

## ◆ operator Type &()

template<typename Type>

clan::Resource< Type >::operator Type & | ( |  | ) |
| inline

## ◆ operator!=()

template<typename Type>

bool clan::Resource< Type >::operator!= | ( | const Resource< Type > & | other | ) | const
| inline

References Resource().

## ◆ operator->() [1/2]

template<typename Type>

Type * clan::Resource< Type >::operator-> | ( |  | ) |
| inline

## ◆ operator->() [2/2]

template<typename Type>

const Type * clan::Resource< Type >::operator-> | ( |  | ) | const
| inline

## ◆ operator<()

template<typename Type>

bool clan::Resource< Type >::operator< | ( | const Resource< Type > & | other | ) | const
| inline

References Resource().

## ◆ operator<=()

template<typename Type>

bool clan::Resource< Type >::operator<= | ( | const Resource< Type > & | other | ) | const
| inline

References Resource().

## ◆ operator==()

template<typename Type>

bool clan::Resource< Type >::operator== | ( | const Resource< Type > & | other | ) | const
| inline

References Resource().

## ◆ operator>()

template<typename Type>

bool clan::Resource< Type >::operator> | ( | const Resource< Type > & | other | ) | const
| inline

References Resource().

## ◆ operator>=()

template<typename Type>

bool clan::Resource< Type >::operator>= | ( | const Resource< Type > & | other | ) | const
| inline

References Resource().

## ◆ set()

template<typename Type>

void clan::Resource< Type >::set | ( | const Type & | value | ) |
| inline

## ◆ updated()

template<typename Type>

bool clan::Resource< Type >::updated | ( |  | ) |
| inline

References updated().

Referenced by updated().

The documentation for this class was generated from the following file:

- resource.h